## r-cran-dtplyr 1.0.1

=== DESCRIPTION ===
Package: dtplyr
Title: Data Table Back-End for 'dplyr'
Version: 1.0.1
Authors@R: 
    c(person(given = "Lionel",
             family = "Henry",
             role = "aut",
             email = "lionel@rstudio.com"),
      person(given = "Hadley",
             family = "Wickham",
             role = "cre",
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Provides a data.table backend for 'dplyr'. The goal of 'dtplyr' 
    is to allow you to write 'dplyr' code that is automatically translated to 
    the equivalent, but usually much faster, data.table code.
License: GPL-3
URL: https://github.com/tidyverse/dtplyr
BugReports: https://github.com/tidyverse/dtplyr/issues
Depends: R (>= 3.2)
Imports: crayon, data.table (>= 1.12.4), dplyr (>= 0.8.1), rlang,
        tibble, tidyselect
Suggests: bench, covr, knitr, rmarkdown, testthat (>= 2.1.0)
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-22 22:15:57 UTC; hadley
Author: Lionel Henry [aut],
  Hadley Wickham [cre],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2020-01-23 06:00:03 UTC

=== debian/changelog ===
r-cran-dtplyr (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 17 Oct 2020 23:31:35 +0200

r-cran-dtplyr (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #970033)

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 Sep 2020 19:05:52 +0200

=== debian/control ===
Source: r-cran-dtplyr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-crayon,
               r-cran-data.table (>= 1.12.4),
               r-cran-dplyr (>= 0.8.1),
               r-cran-rlang,
               r-cran-tibble,
               r-cran-tidyselect
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr.git
Homepage: https://cran.r-project.org/package=dtplyr
Rules-Requires-Root: no

Package: r-cran-dtplyr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R data table back-end for 'dplyr'
 Provides a data.table backend for 'dplyr'. The goal of 'dtplyr'
 is to allow you to write 'dplyr' code that is automatically translated to
 the equivalent, but usually much faster, data.table code.

## r-cran-dtplyr 1.2.1

=== DESCRIPTION ===
Package: dtplyr
Title: Data Table Back-End for 'dplyr'
Version: 1.2.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("cre", "aut")),
    person("Maximilian", "Girlich", role = "aut"),
    person("Mark", "Fairbanks", role = "aut"),
    person("Ryan", "Dickerson", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Provides a data.table backend for 'dplyr'. The goal of
    'dtplyr' is to allow you to write 'dplyr' code that is automatically
    translated to the equivalent, but usually much faster, data.table
    code.
License: MIT + file LICENSE
URL: https://dtplyr.tidyverse.org, https://github.com/tidyverse/dtplyr
BugReports: https://github.com/tidyverse/dtplyr/issues
Depends: R (>= 3.3)
Imports: crayon, data.table (>= 1.13.0), dplyr (>= 1.0.3), ellipsis,
        glue, lifecycle, rlang, tibble, tidyselect, vctrs
Suggests: bench, covr, knitr, rmarkdown, testthat (>= 3.0.0), tidyr (>=
        1.1.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-01-19 21:59:49 UTC; hadleywickham
Author: Hadley Wickham [cre, aut],
  Maximilian Girlich [aut],
  Mark Fairbanks [aut],
  Ryan Dickerson [aut],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-01-19 22:32:41 UTC

=== debian/changelog ===
r-cran-dtplyr (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jan 2022 17:32:10 +0100

r-cran-dtplyr (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2021 17:58:21 +0100

r-cran-dtplyr (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Test-Depends: r-cran-tidyr

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 09:55:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,16 @@
                dh-r,
                r-base-dev,
                r-cran-crayon,
-               r-cran-data.table (>= 1.12.4),
-               r-cran-dplyr (>= 0.8.1),
+               r-cran-data.table (>= 1.13.0),
+               r-cran-dplyr (>= 1.0.3),
+               r-cran-ellipsis,
+               r-cran-glue,
+               r-cran-lifecycle,
                r-cran-rlang,
                r-cran-tibble,
-               r-cran-tidyselect
-Standards-Version: 4.5.0
+               r-cran-tidyselect,
+               r-cran-vctrs
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr.git
 Homepage: https://cran.r-project.org/package=dtplyr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-tidyr
Restrictions: allow-stderr

## r-cran-dtplyr 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dtplyr
 Title: Data Table Back-End for 'dplyr'
-Version: 1.2.1
+Version: 1.2.2
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("cre", "aut")),
     person("Maximilian", "Girlich", role = "aut"),
@@ -24,9 +24,9 @@
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 NeedsCompilation: no
-Packaged: 2022-01-19 21:59:49 UTC; hadleywickham
+Packaged: 2022-08-20 12:54:11 UTC; hadleywickham
 Author: Hadley Wickham [cre, aut],
   Maximilian Girlich [aut],
   Mark Fairbanks [aut],
@@ -34,4 +34,4 @@
   RStudio [cph, fnd]
 Maintainer: Hadley Wickham <hadley@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-01-19 22:32:41 UTC
+Date/Publication: 2022-08-20 13:20:02 UTC

=== debian/changelog ===
r-cran-dtplyr (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 07:24:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-dtplyr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr.git
+Homepage: https://cran.r-project.org/package=dtplyr
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -17,11 +21,7 @@
                r-cran-tibble,
                r-cran-tidyselect,
                r-cran-vctrs
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr.git
-Homepage: https://cran.r-project.org/package=dtplyr
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-dtplyr
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/dtplyr_([-\d.]*)\.tar\.gz

## r-cran-dtplyr 1.3.1

=== DESCRIPTION ===
Package: dtplyr
Title: Data Table Back-End for 'dplyr'
Version: 1.3.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("cre", "aut")),
    person("Maximilian", "Girlich", role = "aut"),
    person("Mark", "Fairbanks", role = "aut"),
    person("Ryan", "Dickerson", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Provides a data.table backend for 'dplyr'. The goal of
    'dtplyr' is to allow you to write 'dplyr' code that is automatically
    translated to the equivalent, but usually much faster, data.table
    code.
License: MIT + file LICENSE
URL: https://dtplyr.tidyverse.org, https://github.com/tidyverse/dtplyr
BugReports: https://github.com/tidyverse/dtplyr/issues
Depends: R (>= 3.3)
Imports: cli (>= 3.4.0), data.table (>= 1.13.0), dplyr (>= 1.1.0),
        glue, lifecycle, rlang (>= 1.0.4), tibble, tidyselect (>=
        1.2.0), vctrs (>= 0.4.1)
Suggests: bench, covr, knitr, rmarkdown, testthat (>= 3.1.2), tidyr (>=
        1.1.0), waldo (>= 0.3.1)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-03-21 14:31:40 UTC; hadleywickham
Author: Hadley Wickham [cre, aut],
  Maximilian Girlich [aut],
  Mark Fairbanks [aut],
  Ryan Dickerson [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2023-03-22 13:10:05 UTC

=== debian/changelog ===
r-cran-dtplyr (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on r-cran-data.table (>= 1.13.0).

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2023 15:06:32 +0200

r-cran-dtplyr (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest (thanks to Heinrich Schuchardt
    <heinrich.schuchardt@canonical.com>)
    Closes: #1035723 (LP: #2018713)

 -- Andreas Tille <tille@debian.org>  Thu, 08 Jun 2023 21:26:23 +0200

r-cran-dtplyr (1.2.2-2) UNRELEASED; urgency=medium

  * Team upload.
  * Lintian-overrides for false positive source-is-missing

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 07:27:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,20 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr.git
 Homepage: https://cran.r-project.org/package=dtplyr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-crayon,
-               r-cran-data.table (>= 1.13.0),
-               r-cran-dplyr (>= 1.0.3),
-               r-cran-ellipsis,
+               r-cran-cli (>= 3.4.0),
+               r-cran-data.table,
+               r-cran-dplyr (>= 1.1.0),
                r-cran-glue,
                r-cran-lifecycle,
-               r-cran-rlang,
+               r-cran-rlang (>= 1.0.4),
                r-cran-tibble,
-               r-cran-tidyselect,
-               r-cran-vctrs
+               r-cran-tidyselect (>= 1.2.0),
+               r-cran-vctrs (>= 0.4.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-dtplyr

## r-cran-dtplyr 1.3.2

=== debian/changelog ===
r-cran-dtplyr (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 09:23:28 +0900

=== debian/control ===
Source: r-cran-dtplyr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-data.table,
               r-cran-dplyr (>= 1.1.0),
               r-cran-glue,
               r-cran-lifecycle,
               r-cran-rlang,
               r-cran-tibble,
               r-cran-tidyselect,
               r-cran-vctrs,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr.git
Homepage: https://cran.r-project.org/package=dtplyr
Rules-Requires-Root: no

Package: r-cran-dtplyr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R data table back-end for 'dplyr'
 Provides a data.table backend for 'dplyr'. The goal of 'dtplyr'
 is to allow you to write 'dplyr' code that is automatically translated to
 the equivalent, but usually much faster, data.table code.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bench,
        r-cran-covr,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.1.2),
        r-cran-tidyr (>= 1.1.0),
        r-cran-waldo (>= 0.3.1)
Restrictions: allow-stderr

## r-cran-dtplyr 1.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dtplyr
 Title: Data Table Back-End for 'dplyr'
-Version: 1.3.1
+Version: 1.3.3
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@posit.co", role = c("cre", "aut")),
     person("Maximilian", "Girlich", role = "aut"),
@@ -15,7 +15,7 @@
 License: MIT + file LICENSE
 URL: https://dtplyr.tidyverse.org, https://github.com/tidyverse/dtplyr
 BugReports: https://github.com/tidyverse/dtplyr/issues
-Depends: R (>= 3.3)
+Depends: R (>= 4.0)
 Imports: cli (>= 3.4.0), data.table (>= 1.13.0), dplyr (>= 1.1.0),
         glue, lifecycle, rlang (>= 1.0.4), tibble, tidyselect (>=
         1.2.0), vctrs (>= 0.4.1)
@@ -25,9 +25,9 @@
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2023-03-21 14:31:40 UTC; hadleywickham
+Packaged: 2026-02-10 17:24:49 UTC; hadleywickham
 Author: Hadley Wickham [cre, aut],
   Maximilian Girlich [aut],
   Mark Fairbanks [aut],
@@ -35,4 +35,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Hadley Wickham <hadley@posit.co>
 Repository: CRAN
-Date/Publication: 2023-03-22 13:10:05 UTC
+Date/Publication: 2026-02-11 06:10:52 UTC

=== debian/changelog ===
r-cran-dtplyr (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 06:56:12 +0900

=== debian/control ===
Source: r-cran-dtplyr
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-data.table,
 r-cran-dplyr (>= 1.1.0),
 r-cran-glue,
 r-cran-lifecycle,
 r-cran-rlang,
 r-cran-tibble,
 r-cran-tidyselect,
 r-cran-vctrs,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dtplyr.git
Homepage: https://cran.r-project.org/package=dtplyr
Rules-Requires-Root: no

Package: r-cran-dtplyr
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R data table back-end for 'dplyr'
 Provides a data.table backend for 'dplyr'. The goal of 'dtplyr'
 is to allow you to write 'dplyr' code that is automatically translated to
 the equivalent, but usually much faster, data.table code.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-bench,
 r-cran-covr,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.1.2),
 r-cran-tidyr (>= 1.1.0),
 r-cran-waldo (>= 0.3.1),
